# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cwd.pm) perl(Data/Dumper.pm) perl(Data/Printer.pm) perl(Date/Format.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Spec/Functions.pm) perl(Mojo/Base.pm) perl(Mojolicious/Commands.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/JSONConfig.pm) perl(Mojolicious/Plugin/Webtail.pm) perl(Net/Ping.pm) perl(Regexp/Common.pm) perl(Telegram/Bot/Message.pm) perl(Test/More.pm) perl(WWW/Telegram/BotAPI.pm) perl(feature.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Telegram-CamshotBot
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Telegram bot that send you a snapshot from IP camera using ffmpeg (don't forget to install it!)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PA/PAVELSR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
# NAME

Telegram::CamshotBot - Telegram bot that send you a snapshot from IP camera using ffmpeg (don't forget to install it!)

# VERSION

version 0.03

# RUNNING

Docker way

    wget https://raw.githubusercontent.com/pavelsr/camshotbot/master/docker-compose.yml.example > docker-compose.yml

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CHANGES LICENSE updates_examples.md
%perl_vendor_privlib/T*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

